Log in or register to post comments

Unity 2018.1 Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'

May 4, 2018 - 7:31am #1

I just installed Unity 2018.1 and downloaded the Ground Plane asset from the Asset Store. I get the following error: "Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'". Any fixes? 

PS: The Vuforia version seems to still be 7.0.5. Shouldn't it be 7.1.34?

Unity 2018.1 Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'

August 1, 2018 - 11:01am #6

I fixed it on my project by deleting out the Deploy Stage Once Script from the project. If it is in the project is will throw up an error.  So  you were probably using the Deploy Stage Once Script in the Content Positioning Behavior, put the Ground Plane Stage back in there and turn off Duplicate Stage.

Unity 2018.1 Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'

July 31, 2018 - 11:46pm #5

Was this issue fixed? Same problem here

Unity 2018.1 Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'

May 8, 2018 - 3:06pm #4

I have the same problem. Config, and version file all says 7.1.34

Unity 2018.1 Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'

May 6, 2018 - 3:44am #3

Hi, I updated to 7.1.34, and this version is what appears in Vuforia Config. I still have the three "Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'" errors from PlaneManager.cs. Any thoughts?

Unity 2018.1 Cannot implicitly convert type `Vuforia.Anchor' to `UnityEngine.GameObject'

May 4, 2018 - 3:01pm #2

Hello Numena,

Unity 2018.1 comes with Vuforia 7.1.31 and needs to be updated (within the Vuforia Config) to 7.1.34. What version of Vuforia does you Vuforia Config say it is?

Thanks,

Vuforia Support

Log in or register to post comments